﻿Imports System.Drawing

Imports System.Windows.Forms



Public Class AddUpdateBattingStatistics
    Inherits SuperStatsEntry.AddUpdateStatistics
#Region " Private Class Variables"
    Private c_oBattingStatistics As localhost.TeamsAndPlayers.BattingStatisticsRow
#End Region
#Region " Constructors"
    Public Sub New(ByRef battingStatistics As localhost.TeamsAndPlayers.BattingStatisticsRow)
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'TODO: Add any initialization after the InitializeComponent call
        c_oBattingStatistics = battingStatistics
        If Not c_oBattingStatistics.IsNull(0) Then
            Me.Year = c_oBattingStatistics.Year
            Me.Games = c_oBattingStatistics.Games
            txtAtBats().Text = c_oBattingStatistics.AtBats.ToString
            txtHits().Text = c_oBattingStatistics.Hits.ToString
            txtRBI().Text = c_oBattingStatistics.RBIs.ToString
            txtHomeRuns().Text = c_oBattingStatistics.HomeRuns.ToString
        End If
    End Sub
#End Region
    'Form overrides dispose to clean up the component list.
    Public Overloads Overrides Sub Dispose()
        MyBase.Dispose()
        If Not (components Is Nothing) Then
            components.Dispose()
        End If
    End Sub
    Private WithEvents label3 As System.Windows.Forms.Label
    Private WithEvents txtAtBats As System.Windows.Forms.TextBox
    Private WithEvents label4 As System.Windows.Forms.Label
    Private WithEvents label5 As System.Windows.Forms.Label
    Private WithEvents label6 As System.Windows.Forms.Label
    Private WithEvents txtHomeRuns As System.Windows.Forms.TextBox
    Private WithEvents txtRBI As System.Windows.Forms.TextBox
    Private WithEvents txtHits As System.Windows.Forms.TextBox

#Region " Windows Form Designer generated code "

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.Container

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Private Sub InitializeComponent()
        Me.label3 = New System.Windows.Forms.Label()
        Me.txtAtBats = New System.Windows.Forms.TextBox()
        Me.label5 = New System.Windows.Forms.Label()
        Me.label6 = New System.Windows.Forms.Label()
        Me.txtRBI = New System.Windows.Forms.TextBox()
        Me.txtHits = New System.Windows.Forms.TextBox()
        Me.txtHomeRuns = New System.Windows.Forms.TextBox()
        Me.label4 = New System.Windows.Forms.Label()
        Me.label3.Location = New System.Drawing.Point(8, 60)
        Me.label3.Size = New System.Drawing.Size(72, 16)
        Me.label3.TabIndex = 6
        Me.label3.Text = "At Bats"
        Me.label3.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.txtAtBats.Location = New System.Drawing.Point(96, 56)
        Me.txtAtBats.Size = New System.Drawing.Size(56, 20)
        Me.txtAtBats.TabIndex = 5
        Me.label5.Location = New System.Drawing.Point(8, 108)
        Me.label5.Size = New System.Drawing.Size(72, 16)
        Me.label5.TabIndex = 6
        Me.label5.Text = "Home Runs"
        Me.label5.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label6.Location = New System.Drawing.Point(8, 132)
        Me.label6.Size = New System.Drawing.Size(72, 16)
        Me.label6.TabIndex = 6
        Me.label6.Text = "RBI's"
        Me.label6.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.txtRBI.Location = New System.Drawing.Point(96, 128)
        Me.txtRBI.Size = New System.Drawing.Size(56, 20)
        Me.txtRBI.TabIndex = 5
        Me.txtHits.Location = New System.Drawing.Point(96, 80)
        Me.txtHits.Size = New System.Drawing.Size(56, 20)
        Me.txtHits.TabIndex = 5
        Me.txtHomeRuns.Location = New System.Drawing.Point(96, 104)
        Me.txtHomeRuns.Size = New System.Drawing.Size(56, 20)
        Me.txtHomeRuns.TabIndex = 5
        Me.label4.Location = New System.Drawing.Point(8, 84)
        Me.label4.Size = New System.Drawing.Size(72, 16)
        Me.label4.TabIndex = 6
        Me.label4.Text = "Hits"
        Me.label4.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.BackColor = System.Drawing.Color.FromArgb(255, 255, 128)
        Me.ClientSize = New System.Drawing.Size(323, 160)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.txtRBI, Me.txtHomeRuns, Me.txtHits, Me.label6, Me.label5, Me.label4, Me.label3, Me.txtAtBats})
        Me.Text = "Add or Update Batting Statistics"

    End Sub

    Private Sub label4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles label4.Click

    End Sub

#End Region

    Protected Overrides Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

        If c_oBattingStatistics.IsNull(0) Then
            c_oBattingStatistics.ID = System.Guid.NewGuid
        End If

        With c_oBattingStatistics
            .Year = Me.Year
            .Games = Me.Games
            .Hits = CInt(txtHits().Text)
            .RBIs = CInt(txtRBI().Text)
            .HomeRuns = CInt(txtHomeRuns().Text)
            .AtBats = CInt(txtAtBats().Text)
        End With

        Me.Close()
    End Sub
End Class
