﻿Imports System.Drawing

Imports System.Windows.Forms



Public Class AddUpdatePitchingStatistics
    Inherits SuperStatsEntry.AddUpdateStatistics
#Region " Private Class Variables"
    Private c_oPitchingStatistics As localhost.TeamsAndPlayers.PitchingStatisticsRow
#End Region
#Region " Constructors"
    Public Sub New(ByRef pitchingStatistics As localhost.TeamsAndPlayers.PitchingStatisticsRow)
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'TODO: Add any initialization after the InitializeComponent call
        c_oPitchingStatistics = pitchingStatistics
        With c_oPitchingStatistics
            If Not .IsNull(0) Then
                Me.Year = .Year
                Me.Games = .Games
                txtStarts().Text = .Starts.ToString
                txtRuns().Text = .Runs.ToString
                txtInnings().Text = .Innings.ToString
                txtWins().Text = .Wins.ToString
                txtLosses().Text = .Losses.ToString
                txtSaves().Text = .Saves.ToString
            End If
        End With
    End Sub
#End Region
    'Form overrides dispose to clean up the component list.
    Public Overloads Overrides Sub Dispose()
        MyBase.Dispose()
        If Not (components Is Nothing) Then
            components.Dispose()
        End If
    End Sub
    Private WithEvents txtStarts As System.Windows.Forms.TextBox
    Private WithEvents label3 As System.Windows.Forms.Label
    Private WithEvents txtWins As System.Windows.Forms.TextBox
    Private WithEvents txtInnings As System.Windows.Forms.TextBox
    Private WithEvents txtRuns As System.Windows.Forms.TextBox
    Private WithEvents txtLosses As System.Windows.Forms.TextBox
    Private WithEvents txtSaves As System.Windows.Forms.TextBox
    Private WithEvents label4 As System.Windows.Forms.Label
    Private WithEvents label5 As System.Windows.Forms.Label
    Private WithEvents label6 As System.Windows.Forms.Label
    Private WithEvents label7 As System.Windows.Forms.Label
    Private WithEvents label8 As System.Windows.Forms.Label

#Region " Windows Form Designer generated code "

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.Container

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Private Sub InitializeComponent()
        Me.label8 = New System.Windows.Forms.Label()
        Me.label4 = New System.Windows.Forms.Label()
        Me.label5 = New System.Windows.Forms.Label()
        Me.label6 = New System.Windows.Forms.Label()
        Me.label7 = New System.Windows.Forms.Label()
        Me.label3 = New System.Windows.Forms.Label()
        Me.txtWins = New System.Windows.Forms.TextBox()
        Me.txtInnings = New System.Windows.Forms.TextBox()
        Me.txtStarts = New System.Windows.Forms.TextBox()
        Me.txtLosses = New System.Windows.Forms.TextBox()
        Me.txtSaves = New System.Windows.Forms.TextBox()
        Me.txtRuns = New System.Windows.Forms.TextBox()
        Me.label8.Location = New System.Drawing.Point(8, 176)
        Me.label8.Size = New System.Drawing.Size(80, 16)
        Me.label8.TabIndex = 5
        Me.label8.Text = "Saves"
        Me.label8.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label4.Location = New System.Drawing.Point(8, 80)
        Me.label4.Size = New System.Drawing.Size(80, 16)
        Me.label4.TabIndex = 5
        Me.label4.Text = "Runs"
        Me.label4.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label5.Location = New System.Drawing.Point(8, 104)
        Me.label5.Size = New System.Drawing.Size(80, 16)
        Me.label5.TabIndex = 5
        Me.label5.Text = "Innings"
        Me.label5.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label6.Location = New System.Drawing.Point(8, 128)
        Me.label6.Size = New System.Drawing.Size(80, 16)
        Me.label6.TabIndex = 5
        Me.label6.Text = "Wins"
        Me.label6.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label7.Location = New System.Drawing.Point(8, 152)
        Me.label7.Size = New System.Drawing.Size(80, 16)
        Me.label7.TabIndex = 5
        Me.label7.Text = "Losses"
        Me.label7.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.label3.Location = New System.Drawing.Point(8, 60)
        Me.label3.Size = New System.Drawing.Size(80, 16)
        Me.label3.TabIndex = 5
        Me.label3.Text = "Starts"
        Me.label3.TextAlign = System.Drawing.ContentAlignment.BottomLeft
        Me.txtWins.Location = New System.Drawing.Point(96, 128)
        Me.txtWins.Size = New System.Drawing.Size(56, 20)
        Me.txtWins.TabIndex = 6
        Me.txtInnings.Location = New System.Drawing.Point(96, 104)
        Me.txtInnings.Size = New System.Drawing.Size(56, 20)
        Me.txtInnings.TabIndex = 6
        Me.txtStarts.Location = New System.Drawing.Point(96, 56)
        Me.txtStarts.Size = New System.Drawing.Size(56, 20)
        Me.txtStarts.TabIndex = 6
        Me.txtLosses.Location = New System.Drawing.Point(96, 152)
        Me.txtLosses.Size = New System.Drawing.Size(56, 20)
        Me.txtLosses.TabIndex = 6
        Me.txtSaves.Location = New System.Drawing.Point(96, 176)
        Me.txtSaves.Size = New System.Drawing.Size(56, 20)
        Me.txtSaves.TabIndex = 6
        Me.txtRuns.Location = New System.Drawing.Point(96, 80)
        Me.txtRuns.Size = New System.Drawing.Size(56, 20)
        Me.txtRuns.TabIndex = 6
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.BackColor = System.Drawing.Color.Gainsboro
        Me.ClientSize = New System.Drawing.Size(323, 200)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.label8, Me.label7, Me.label6, Me.label5, Me.label4, Me.txtSaves, Me.txtLosses, Me.txtRuns, Me.txtInnings, Me.txtWins, Me.txtStarts, Me.label3})
        Me.Text = "Add or Update Pitching Statistics"

    End Sub

    Private Sub AddUpdatePitchingStatistics_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

#End Region
    Protected Overrides Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

        With c_oPitchingStatistics
            If .IsNull(0) Then
                .ID = System.Guid.NewGuid
            End If


            .Year = Me.Year
            .Games = Me.Games
            .Starts = CInt(txtStarts().Text)
            .Runs = CInt(txtRuns().Text)
            .Innings = CInt(txtInnings().Text)
            .Wins = CInt(txtWins().Text)
            .Losses = CInt(txtLosses().Text)
            .Saves = CInt(txtSaves().Text)
        End With

        Me.Close()
    End Sub
End Class
