Imports System.Windows.Forms
Public Class TeamNode
    Inherits TreeNode
#Region " TeamNode Class Variables"
    Private c_oTeamId As System.Guid
    
#End Region
#Region " Constructors"
    Public Sub New(ByVal teamID As System.Guid)
        c_oTeamId = teamID
    End Sub
    Public Sub New(ByVal teamID As System.Guid, ByVal teamName As String)
        c_oTeamId = teamID
        Me.Text = teamName
    End Sub
#End Region
    Public ReadOnly Property TeamID() As System.Guid
        Get
            Return c_oTeamId
        End Get
    End Property
End Class
Public Class TeamPlayersNode
#Region " TeamPlayersNode Class Variables"
    Private c_iTeamPlayerID As Integer
#End Region
#Region " Constructors"
    Public Sub New(ByVal teamPlayerId As Integer)
        c_iTeamPlayerID = teamPlayerId
    End Sub
#End Region
    Public ReadOnly Property TeamPlayerID() As Integer
        Get
            Return c_iTeamPlayerID
        End Get
    End Property
End Class
Public Class PlayerNode
    Inherits TreeNode
#Region " PlayerNode Class Variables"
    Private c_oPlayerID As System.Guid
#End Region
#Region " Constructors"
    Public Sub New(ByVal playerID As System.Guid)
        c_oPlayerID = playerID
    End Sub
    Public Sub New(ByVal playerID As System.Guid, ByVal playerName As String)
        c_oPlayerID = playerID
        Me.Text = playerName
    End Sub
#End Region
    Public ReadOnly Property PlayerID() As System.Guid
        Get
            Return c_oPlayerID
        End Get
    End Property
End Class
Public Class PitchingNode
    Inherits TreeNode
#Region " PitchingNode Class Variables"
    Private c_oPitchingStatisticsID As System.Guid
#End Region
#Region " Constructors"
    Public Sub New(ByVal pitchingStatisticsID As System.Guid)
        c_oPitchingStatisticsID = pitchingStatisticsID
    End Sub
#End Region
    Public ReadOnly Property PitchingStatisticsID() As System.Guid
        Get
            Return c_oPitchingStatisticsID
        End Get
    End Property
End Class
Public Class BattingNode
    Inherits TreeNode
#Region " BattingNode Class Variables"
    Private c_oBattingStatisticsID As System.Guid
#End Region
#Region " Constructors"
    Public Sub New(ByVal battingStatisticsID As System.Guid)
        c_oBattingStatisticsID = battingStatisticsID
    End Sub
#End Region
    Public ReadOnly Property BattingStatisticsID() As System.Guid
        Get
            Return c_oBattingStatisticsID
        End Get
    End Property
End Class